Bug 1629001 - openshift_hosted_manage_registry and openshift_hosted_manage_router are not respected upon upgrade
Summary: openshift_hosted_manage_registry and openshift_hosted_manage_router are not r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.z
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
: 1628977 (view as bug list)
Depends On: 1588641
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 15:41 UTC by Scott Dodson
Modified: 2018-11-20 03:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: openshift_hosted_manage_registry and openshift_hosted_manage_router variables were not honored during an upgrade. Consequence: Environments where the admin wishes to manage these components outside of openshift-ansible would still attempt to upgrade them via openshift-ansible. Fix: These variables are now honored during upgrades. Result: Environments where the admin has opted out of managing these components via openshift-ansible will now ignore them during upgrade as expected.
Clone Of: 1588641
Environment:
Last Closed: 2018-11-20 03:12:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2908 None None None 2018-11-20 03:12:44 UTC

Comment 2 Scott Dodson 2018-09-14 15:55:24 UTC
*** Bug 1628977 has been marked as a duplicate of this bug. ***

Comment 4 Johnny Liu 2018-10-10 09:45:54 UTC
Verified this bug with openshift-ansible-3.9.45-1.git.0.8b6fa6d.el7_5.noarch, and PASS.

1. Install a 3.7 cluster with docker-registry and router installed by default.
2. Modify inventory file to add:
openshift_hosted_manage_registry=false
openshift_hosted_manage_router=false
openshift_web_console_prefix=registry.example.com:443/openshift3/ose-
template_service_broker_prefix=registry.example:443/openshift3/ose-
3. Run upgrade to 3.9
4. After upgrade, checking registry and router, images are not updated.
[root@qe-jialiu37-merrn-1 ~]# oc version
oc v3.9.45
kubernetes v1.9.1+a0ce1bc657
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://qe-jialiu37-merrn-1:8443
openshift v3.9.45
kubernetes v1.9.1+a0ce1bc657

[root@qe-jialiu37-merrn-1 ~]# oc describe po registry-console-1-rcsnm|grep Image:
    Image:          registry.example.com:443/openshift3/registry-console:v3.7
[root@qe-jialiu37-merrn-1 ~]# oc describe po docker-registry-1-rfz8r|grep Image:
    Image:          registry.example.com:443/openshift3/ose-docker-registry:v3.7.65
[root@qe-jialiu37-merrn-1 ~]# oc describe po router-1-fcccr|grep Image:
    Image:          registry.example.com:443/openshift3/ose-haproxy-router:v3.7.65

Comment 6 errata-xmlrpc 2018-11-20 03:12:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2908


Note You need to log in before you can comment on or make changes to this bug.